{% extends 'baseDashboard.html.twig' %}

{% block title %}Utilisateur index{% endblock %}
{% block style %}
    {{ parent() }}
    <link rel="stylesheet" href="{{ asset('assets/css/lib/datatable/dataTables.bootstrap.min.css') }}">
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css'>

{% endblock %}
{% block body %}

    <div class="breadcrumbs">
        <div class="breadcrumbs-inner">
            <div class="row m-0">
                <div class="col-sm-4">
                    <div class="page-header float-left">
                        <div class="page-title">

                            <!--  <button type="button" class="btn btn-danger">Danger</button>-->
                            <h1><a href="{{ path('utilisateur_new') }}">Ajouter un utilisateur </a></h1>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    <div class="page-header float-right">
                        <div class="page-title">
                            <ol class="breadcrumb text-right">
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% block utilisateur %}
        <div class="content">
            <div class="animated fadeIn">
                <div class="row">

                    <div class="col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <strong class="card-title"> Table Utilisateur</strong>
                            </div>
                            <div class="card-body">
                                <table id="bootstrap-data-table" class="table table-striped table-bordered">
                                    <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Firstname</th>
                                        <th>Lastname</th>
                                        <th>Email</th>

                                        <th>Img</th>
                                        <th>statut</th>
                                        <th>actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for utilisateur in utilisateurs %}
                                        <tr>
                                            <td>{{ utilisateur.id }}</td>
                                            <td>{{ utilisateur.firstname }}</td>
                                            <td>{{ utilisateur.lastname }}</td>
                                            <td>{{ utilisateur.email }}</td>
                                            <td><img src="{{ utilisateur.img }}" width="450" height="200"></td>

                                            <div class="form-actions form-group">


                                                <td>
                                                    {% if utilisateur.active %}
                                                        <a href="{{ path('utilisateur_status', {'id': utilisateur.id}) }}"
                                                           title="activer"  onclick="return confirm('vous-voulez vraiment activer cette utilisateur?')">
                                                            <i class="fa fa-unlock"></i>
                                                        </a>
                                                    {% else %}
                                                        <a href="{{ path('utilisateur_status', {'id': utilisateur.id}) }}"
                                                           title="desactiver"  onclick="return confirm('vous-voulez vraiment déactiver cette utilisateur?')">
                                                            <i class="fa fa-unlock-alt"></i>
                                                        </a>

                                                    {% endif %}

                                                </td>
                                            </div>

                                            </button>


                                            <td>
                                                <a href="{{ path('utilisateur_show', {'id': utilisateur.id}) }}"><i class="fa fa-eye"></i></a>
                                                &nbsp;&nbsp;&nbsp;
                                                <a href="{{ path('utilisateur_edit', {'id': utilisateur.id}) }}"><i class="fa fa-pencil"></i></a>
                                            </td>
                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="11">no records found</td>
                                        </tr>
                                    {% endfor %}


                                    </tbody>
                                </table>

                            </div>
                        </div>
                    </div>


                </div>
            </div><!-- .animated -->
        </div><!-- .content -->
    {% endblock %}

    {#<h1>Utilisateur index</h1>

        <table class="table">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Firstname</th>
                    <th>Lastname</th>
                    <th>Email</th>
                    <th>Cin</th>
                    <th>Datenaissance</th>
                    <th>Password</th>
                    <th>Adresse</th>
                    <th>Img</th>
                    <th>Active</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
        {% for utilisateur in utilisateurs %}
                <tr>
                    <td>{{ utilisateur.id }}</td>
                    <td>{{ utilisateur.firstname }}</td>
                    <td>{{ utilisateur.lastname }}</td>
                    <td>{{ utilisateur.email }}</td>
                    <td>{{ utilisateur.cin }}</td>
                    <td>{{ utilisateur.datenaissance ? utilisateur.datenaissance|date('Y-m-d') : '' }}</td>
                    <td>{{ utilisateur.password }}</td>
                    <td>{{ utilisateur.adresse }}</td>
                    <td>{{ utilisateur.img }}</td>
                    <td>{{ utilisateur.active ? 'Yes' : 'No' }}</td>
                    <td>
                        <a href="{{ path('utilisateur_show', {'id': utilisateur.id}) }}">show</a>
                        <a href="{{ path('utilisateur_edit', {'id': utilisateur.id}) }}">edit</a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="11">no records found</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>

        <a href="{{ path('utilisateur_new') }}">Create new</a>#}

{% endblock %}


{% block script %}
    {{ parent() }}
    <script src="{{ asset('assets/js/lib/data-table/datatables.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/jszip.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/vfs_fonts.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.print.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('assets/js/lib/data-table/buttons.colVis.min.js') }}"></script>
    <script src="{{ asset('assets/js/init/datatables-init.js') }}"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            $('#bootstrap-data-table-export').DataTable();
        });
    </script>

{% endblock %}